> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve export data for documents

> Assembles full export payloads for the requested `documentIds` within a project.

Each payload includes the document's ProseMirror block content, resolved clause and table references, and list-template settings.

Requires read access to all specified documents.



## OpenAPI

````yaml post /export/get-documents-data
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /export/get-documents-data:
    post:
      tags:
        - Export
      summary: Retrieve export data for documents
      description: >-
        Assembles full export payloads for the requested `documentIds` within a
        project.


        Each payload includes the document's ProseMirror block content, resolved
        clause and table references, and list-template settings.


        Requires read access to all specified documents.
      operationId: getExportDocumentsData
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                projectId:
                  type: string
                  minLength: 1
                documentIds:
                  type: array
                  items:
                    type: string
                    minLength: 1
                  minItems: 1
              required:
                - projectId
                - documentIds
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  exportData:
                    type: array
                    items:
                      type: object
                      properties:
                        documentId:
                          type: string
                        blocks: {}
                        references:
                          type: object
                          properties:
                            clauses:
                              type: array
                              items:
                                type: object
                                additionalProperties: {}
                            tables:
                              type: object
                              properties:
                                referenceRow:
                                  type: array
                                  items:
                                    type: object
                                    additionalProperties: {}
                                references:
                                  type: array
                                  items:
                                    type: object
                                    additionalProperties: {}
                              required:
                                - referenceRow
                                - references
                          required:
                            - clauses
                            - tables
                        settings:
                          type: object
                          properties:
                            listTemplateId:
                              type: string
                            importedTermId:
                              type: string
                      required:
                        - documentId
                        - references
                        - settings
                required:
                  - exportData
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````